/*
 * configuration file
 *
 */

#include "moldyn.h"

// simulation volume

#define LCNTX		31
#define LCNTY		31
#define LCNTZ		31

// initial lattice

#define INIT_SI		// plain silicon
//#define INIT_C		// plain diamond
//#define INIT_3CSIC	// 3C-SiC

// berendsen thermostat

//#define T_SCALE_TAU	10.0
#define T_SCALE_TAU	100.0
#define P_SCALE_TAU	(0.01/(100*GPA))

// prerun

#define PRERUN		500
#define PRE_TAU		1.0

// insertrun

#define INS_RUNS	600
#define INS_ATOMS 	10

#define INS_CARBON	/* comment for silicon */

#ifdef INS_CARBON
 #define INS_TYPE	C
 #define INS_MASS	M_C
 #define INS_BRAND	1
#else
 #define INS_TYPE	SI
 #define INS_MASS	M_SI
 #define INS_BRAND	0
#endif

#define INS_RAND	// random nsert
//#define INS_HEXA	// hexagonal interstitial position
//#define INS_TETRA	// tetrahedral interstitial position
//#define INS_110DB	// 110 dumbbell interstitial position
//#define INS_001DB	// 001 dumbbell interstitial position
//#define INS_USER	// user defined insertion location
 #define INS_UX		-0.25
 #define INS_UY		-0.25
 #define INS_UZ		+0.25

//#define INS_ATTR	ATOM_ATTR_HB				// heat bath
#define INS_ATTR	ATOM_ATTR_HB|ATOM_ATTR_VB		// + vis bonds
//#define INS_ATTR	ATOM_ATTR_HB|ATOM_ATTR_VB|ATOM_ATTR_FP	// + fixed pos

//#define INS_LENX	(12*ALBE_LC_SIC)
//#define INS_LENY	(12*ALBE_LC_SIC)
//#define INS_LENZ	(12*ALBE_LC_SIC)
#define INS_LENX	(9*ALBE_LC_SI)
#define INS_LENY	(9*ALBE_LC_SI)
#define INS_LENZ	(9*ALBE_LC_SI)
#define INS_OFFSET	(ALBE_LC_SI/8.0)
#define INS_DYNAMIC_LEN	// with p-ctrl we have a varying volume

#define INS_R_C		1.5
#define INS_DELTA_TC	1.0
#define INS_DELTA_PC	(1.0*BAR)
#define INS_RELAX	100
#define INS_TAU		1.0

// postrun

#define POST_RUNS	430
#define POST_DELTA_TC	1.0
#define POST_DELTA_PC	(1.0*BAR)
#define POST_DT		-1.0
#define POST_RELAX	100
#define POST_TAU	1.0

// log

#define R_TITLE		"Carbon into silicon"
#define LOG_E		10
#define LOG_T		10
#define LOG_P		10
#define LOG_V		10
#define LOG_S		2000
#define LOG_A		2000

#define AVG_SKIP	0
